use ed25519_dalek::PublicKey;
use lox::IssuerPubKey;
use std::fs::File;

fn main() {
    let bridgedb_pubkey_filename = "bridgedb_pubkey.json";
    let lox_auth_pubkeys_filename = "lox_auth_pubkeys.json";

    // import bridgedb pubkey
    let bridgedb_pubkey_infile = File::open(bridgedb_pubkey_filename).unwrap();
    let bridgedb_pubkey: PublicKey = serde_json::from_reader(bridgedb_pubkey_infile).unwrap();

    // import lox_auth pubkeys
    let lox_auth_pubkeys_infile = File::open(lox_auth_pubkeys_filename).unwrap();
    let lox_auth_pubkeys: Vec<IssuerPubKey> = serde_json::from_reader(lox_auth_pubkeys_infile).unwrap();
    let lox_pub = &lox_auth_pubkeys[0];
    let migration_pub = &lox_auth_pubkeys[1];
    let migrationkey_pub = &lox_auth_pubkeys[2];
    let reachability_pub = &lox_auth_pubkeys[3];
    let invitation_pub = &lox_auth_pubkeys[4];
}
